import RaydiumSwap from "./RaydiumSwap";
import "dotenv/config";
export declare const swap: ({ raydiumSwap, tokenA, tokenB, amountIn, direction, maxRetries, }: {
    raydiumSwap: RaydiumSwap;
    tokenA: string;
    tokenB: string;
    amountIn: number;
    direction: "AtoB" | "BtoA";
    maxRetries: number;
}) => Promise<string>;
export declare const calcAmountOut: ({ raydiumSwap, tokenA, tokenB, amountIn, direction, }: {
    raydiumSwap: RaydiumSwap;
    tokenA: string;
    tokenB: string;
    amountIn: number;
    direction: "AtoB" | "BtoA";
}) => Promise<{
    amountIn: number;
    amountOut: number;
}>;
